Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class InterceptorsTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.InterceptorsTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, InterceptorsType<T>

    public class InterceptorsTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, InterceptorsType<T>

This class implements the `interceptorsType` xsd type

Original Documentation:

The interceptorsType element declares one or more interceptor
classes used by components within this ejb-jar or .war. The declaration
consists of :
- An optional description.
- One or more interceptor elements.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`InterceptorsTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`InterceptorsTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InterceptorType<InterceptorsType<T>>>` | `getInterceptorList()` Returns all `interceptor` elements
`InterceptorType<InterceptorsType<T>>` | `interceptor()` Returns the `interceptor` element
`InterceptorsType<T>` | `removeAllDescription()` Removes the `description` element
`InterceptorsType<T>` | `removeAllInterceptor()` Removes all `interceptor` elements
`InterceptorsType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`InterceptorsType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorsTypeImpl

    public InterceptorsTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node)

### InterceptorsTypeImpl

    public InterceptorsTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node,
                                org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public InterceptorsType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `InterceptorsType<T>`
  Returns:
    the current instance of `InterceptorsType`

### setDescriptionList

    public InterceptorsType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `InterceptorsType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `InterceptorsType`

### removeAllDescription

    public InterceptorsType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `InterceptorsType<T>`
  Returns:
    the current instance of `InterceptorsType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `InterceptorsType<T>`
  Returns:
    list of `description`

### removeAllInterceptor

    public InterceptorsType<T> removeAllInterceptor()

  Removes all `interceptor` elements

  Specified by:
    `removeAllInterceptor` in interface `InterceptorsType<T>`
  Returns:
    the current instance of `InterceptorsType`

### interceptor

    public InterceptorType<InterceptorsType<T>> interceptor()

  Returns the `interceptor` element

  Specified by:
    `interceptor` in interface `InterceptorsType<T>`
  Returns:
    the node defined for the element `interceptor`

### getInterceptorList

    public java.util.List<InterceptorType<InterceptorsType<T>>> getInterceptorList()

  Returns all `interceptor` elements

  Specified by:
    `getInterceptorList` in interface `InterceptorsType<T>`
  Returns:
    list of `interceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD